﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Prvocisla
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private bool JePrvocislo (int n)
        {
            int pocetDelitelu = 0;
            for (int i = 1; i <= n; i++) 
            {
                // delit, kdyz vyjde beze zbytku, zvetsovat pocet delitelu
                if (n % i == 0) pocetDelitelu++;
            }

            //if (pocetDelitelu == 2) return true;
            //else return false;

            return pocetDelitelu == 2;
        }

        private bool JePrvocislo2(int n)
        {
            if (n == 1) return false;

            for (int i = 2; i <= n-1; i++)          
                if (n % i == 0) return false;
            
            return true;
        }

        private string PrvnichNPrvocisel (int n)
        {
            int pocetVypsanych = 0; // pocet jiz vypsanych cisel
            int testovaneCislo = 1;
            string vystup = "";

            while (pocetVypsanych < n) 
            {
                if (JePrvocislo2(testovaneCislo))
                {
                    //vystup = vystup + testovaneCislo + " ";

                    if (pocetVypsanych==0)
                        vystup = vystup + testovaneCislo;
                    else
                        vystup = vystup + ", " + testovaneCislo;

                    pocetVypsanych++;
                }
                testovaneCislo++;
            }

            return vystup;
        }


        private void BtnVypis_Click(object sender, RoutedEventArgs e)
        {
            int n = int.Parse(TxtN.Text);
            Mouse.OverrideCursor = Cursors.Wait;
            TxtPrvocisla.Text = PrvnichNPrvocisel(n);
            Mouse.OverrideCursor = null;

            //if (JePrvocislo2(n))
            //    TxtPrvocisla.Text = "ANO";
            //else
            //    TxtPrvocisla.Text = "NE";

        }
    }
}
